Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Class Address

    java.lang.Object
      javax.mail.Address

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InternetAddress, NewsAddress

    public abstract class Address

extends java.lang.Object
implements java.io.Serializable

This abstract class models the addresses in a message. Subclasses provide specific implementations. Subclasses will typically be serializable so that (for example) the use of Address objects in search terms can be serialized along with the search terms.

See Also:
  Serialized Form

Constructor Summary
`Address()`

Method Summary
`abstract boolean` | `equals(java.lang.Object address)` The equality operator.
`abstract java.lang.String` | `getType()` Return a type string that identifies this address type.
`abstract java.lang.String` | `toString()` Return a String representation of this address object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Address

    public Address()

Method Detail

### getType

    public abstract java.lang.String getType()

  Return a type string that identifies this address type.

  Returns:
    address type
  See Also:
    `InternetAddress`

### toString

    public abstract java.lang.String toString()

  Return a String representation of this address object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    string representation of this address

### equals

    public abstract boolean equals(java.lang.Object address)

  The equality operator. Subclasses should provide an implementation of this method that supports value equality (do the two Address objects represent the same destination?), not object reference equality. A subclass must also provide a corresponding implementation of the `hashCode` method that preserves the general contract of `equals` and `hashCode` - objects that compare as equal must have the same hashCode.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `address` - Address object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD